
Katello - Bug #6917

system/host-collection API should take database id rather than the uuid

08/04/2014 11:59 AM - dustin tsang

Status: Rejected   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

all calls should pass the database id rather than the uuid

all routes should take the database id

hammer cli should use the database id

Related issues:

Related to Katello - Bug #6842: confusing content host identifiers Closed 07/30/2014

Related to Katello - Tracker #8161: Host Unification Rejected

History

#1 - 08/04/2014 12:02 PM - dustin tsang

- Related to Bug #6842: confusing content host identifiers added

#2 - 08/04/2014 12:56 PM - David Davis

Just talked to Justin and he brought up a good point: long term we'll probably use host id (from the hosts table) so this may not be necessary.

#3 - 08/04/2014 10:47 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 12/21/2015 11:49 AM - Eric Helms

- translation missing: en.field_release set to 114

#5 - 12/21/2015 11:49 AM - Eric Helms

- Related to Tracker #8161: Host Unification added

#6 - 08/28/2019 08:13 PM - John Mitsch

- Status changed from New to Rejected

- Target version deleted (Katello Backlog)

Thanks for reporting this issue. This issue was created over 4 years ago and hasn't seen an update in 1 year. We are closing this in an effort to keep

a realistic backlog. Please open up a new issue that includes a link to this issue if you feel this still needs to be addressed. We can then triage the

new issue and reassess.
